<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: list/list.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_48c61abad44e2f181b0a6a33afb59c17.html">list</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">list.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="list_8h_source.html">list.h</a>&quot;</code><br />
<code>#include &lt;assert.h&gt;</code><br />
<code>#include &lt;stddef.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for list.c:</div>
<div class="dyncontent">
<div class="center"><img src="list_8c__incl.png" border="0" usemap="#list_2list_8c" alt=""/></div>
<map name="list_2list_8c" id="list_2list_8c">
<area shape="rect" id="node2" href="list_8h.html" title="list.h" alt="" coords="13,80,63,107"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a3206ece3442f6c11aacdfaf67ec6410a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_8h.html#a8d510b5a64febb5503672068127c17f4">LIST_SPEC</a> struct <a class="el" href="structnode.html">node</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list_8c.html#a3206ece3442f6c11aacdfaf67ec6410a">li_init</a> (struct <a class="el" href="structnode.html">node</a> *memory, uint32_t length)</td></tr>
<tr class="separator:a3206ece3442f6c11aacdfaf67ec6410a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a988318204cbf0f539ac987a337a28087"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_8h.html#a8d510b5a64febb5503672068127c17f4">LIST_SPEC</a> struct <a class="el" href="structnode.html">node</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list_8c.html#a988318204cbf0f539ac987a337a28087">li_cons</a> (struct <a class="el" href="structnode.html">node</a> *first, struct <a class="el" href="structnode.html">node</a> *list)</td></tr>
<tr class="separator:a988318204cbf0f539ac987a337a28087"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fc8db48323d87017e7f13b8d04b763e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_8h.html#a8d510b5a64febb5503672068127c17f4">LIST_SPEC</a> struct <a class="el" href="structnode.html">node</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list_8c.html#a8fc8db48323d87017e7f13b8d04b763e">li_first</a> (struct <a class="el" href="structnode.html">node</a> *list)</td></tr>
<tr class="separator:a8fc8db48323d87017e7f13b8d04b763e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83220df1c354534f7326563c657c6726"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_8h.html#a8d510b5a64febb5503672068127c17f4">LIST_SPEC</a> struct <a class="el" href="structnode.html">node</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list_8c.html#a83220df1c354534f7326563c657c6726">li_rest</a> (struct <a class="el" href="structnode.html">node</a> *list)</td></tr>
<tr class="separator:a83220df1c354534f7326563c657c6726"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54b830644dd7e5e2b697daae1f0e1d4e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_8h.html#a8d510b5a64febb5503672068127c17f4">LIST_SPEC</a> uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list_8c.html#a54b830644dd7e5e2b697daae1f0e1d4e">li_length</a> (struct <a class="el" href="structnode.html">node</a> *list)</td></tr>
<tr class="separator:a54b830644dd7e5e2b697daae1f0e1d4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a988318204cbf0f539ac987a337a28087"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a988318204cbf0f539ac987a337a28087">&#9670;&nbsp;</a></span>li_cons()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_8h.html#a8d510b5a64febb5503672068127c17f4">LIST_SPEC</a> struct <a class="el" href="structnode.html">node</a>* li_cons </td>
          <td>(</td>
          <td class="paramtype">struct <a class="el" href="structnode.html">node</a> *&#160;</td>
          <td class="paramname"><em>first</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">struct <a class="el" href="structnode.html">node</a> *&#160;</td>
          <td class="paramname"><em>list</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8fc8db48323d87017e7f13b8d04b763e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fc8db48323d87017e7f13b8d04b763e">&#9670;&nbsp;</a></span>li_first()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_8h.html#a8d510b5a64febb5503672068127c17f4">LIST_SPEC</a> struct <a class="el" href="structnode.html">node</a>* li_first </td>
          <td>(</td>
          <td class="paramtype">struct <a class="el" href="structnode.html">node</a> *&#160;</td>
          <td class="paramname"><em>list</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3206ece3442f6c11aacdfaf67ec6410a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3206ece3442f6c11aacdfaf67ec6410a">&#9670;&nbsp;</a></span>li_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_8h.html#a8d510b5a64febb5503672068127c17f4">LIST_SPEC</a> struct <a class="el" href="structnode.html">node</a>* li_init </td>
          <td>(</td>
          <td class="paramtype">struct <a class="el" href="structnode.html">node</a> *&#160;</td>
          <td class="paramname"><em>memory</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a54b830644dd7e5e2b697daae1f0e1d4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54b830644dd7e5e2b697daae1f0e1d4e">&#9670;&nbsp;</a></span>li_length()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_8h.html#a8d510b5a64febb5503672068127c17f4">LIST_SPEC</a> uint32_t li_length </td>
          <td>(</td>
          <td class="paramtype">struct <a class="el" href="structnode.html">node</a> *&#160;</td>
          <td class="paramname"><em>list</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a83220df1c354534f7326563c657c6726"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83220df1c354534f7326563c657c6726">&#9670;&nbsp;</a></span>li_rest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_8h.html#a8d510b5a64febb5503672068127c17f4">LIST_SPEC</a> struct <a class="el" href="structnode.html">node</a>* li_rest </td>
          <td>(</td>
          <td class="paramtype">struct <a class="el" href="structnode.html">node</a> *&#160;</td>
          <td class="paramname"><em>list</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
